from django.db import models

# Create your models here.

class Graph_viaire_ville_information(models.Model):
    gvvi_robustesse = models.FloatField()
    gvvi_d2_correlation_dimension = models.FloatField()
    gvvi_d1_information_dimension = models.FloatField()
    gvvi_d0_fractal_capacite_dimension = models.FloatField()
    gvvi_longueur_moyenne_rues = models.FloatField()
    gvvi_tree_vs_complete_graph = models.FloatField()
    gvvi_org_plan_vs_organized = models.FloatField()
    gvvi_connectivity = models.FloatField()
    gvvi_degre_moyen = models.FloatField()
    gvvi_diametre = models.IntegerField()
    gvvi_nom = models.CharField(max_length=100)
    gvvi_nb_intersection = models.IntegerField()

    def __str__(self):
        """
        Cette méthode permet d'afficher les données importantes de la classe

        :return:
        """
        return self.gvvi_nom + " : " + self.gvvi_nb_intersection.__str__()
